 %define develname   %mklibname %name -d

Name:		marnav
Summary:	Library for MARitime NAVigation
Version:	0.14.0
Release:	%mkrel 4
License:	GPLv2
Group:		System/Libraries
URL:		https://github.com/mariokonrad/marnav
Source0:    https://github.com/mariokonrad/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:     marnav-0.14.0-src-CMakeLists.patch
Patch1:     marnav-gcc14.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	doxygen
BuildRequires:  git
BuildRequires:	wxgtku-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:  boost-build
BuildRequires:  boost-devel

%description
This is a C++ library for MARitime NAVigation purposes.
It supports (partially):
    NMEA-0183
    AIS
    SeaTalk (Raymarine device communication)
    Basic geodesic functions, suitable for martime navigation.
    Reading data from serial ports (NMEA, SeaTalk). This is a separate library, available only if required environment is present, typically a Linux system.


%package -n     %{develname}
Group:          Development/Other
Summary:        Libraries for %name
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development libraries from %{libname}.

%prep
%autosetup a1 -p1 -n %{name}-%{version}

%build
%cmake -DCMAKE_BUILD_TYPE=Release -DENABLE_TOOLS=OFF -DENABLE_TESTS=OFF -DENABLE_EXAMPLES=OFF -DENABLE_STATIC=OFF 

%cmake_build 

%install
%cmake_install

%files 
%doc README.md LICENSE
%{_libdir}/lib%{name}.*
%{_libdir}/lib%{name}-io.*
%{_libdir}/cmake/marnav/

%files -n %develname
%{_includedir}/marnav/
%{_includedir}/marnav-io/



%changelog
* Mon Apr 01 2024 wally <wally> 0.14.0-4.mga10
+ Revision: 2053695
- fix build with gcc14

* Mon Jun 05 2023 philippedidier <philippedidier> 0.14.0-3.mga9
+ Revision: 1961007
- do not build tools useless for opencpn  do not use fmt nor cxxopts
- correct the spec file
- imported package marnav

